classification
Title: Add doc examples for DictReader and DictWriter
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: berker.peksag, charlax, docs@python, ezio.melotti, martin.panter, python-dev, rhettinger, zormit
Priority: normal Keywords: patch

Created on 2014-01-22 18:07 by charlax, last changed 2014-11-24 21:51 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
add_csvdict_examples.patch charlax, 2014-01-22 18:07 Add csv.DictReader and csv.DictWriter examples in the doc review
add_csvdict_examples.patch charlax, 2014-02-17 02:20 review
add_csvdict_examples.patch charlax, 2014-04-19 01:48 review
add_csvdict_examples.patch charlax, 2014-06-27 02:23 review
Messages (12)
msg208835 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-01-22 18:07
IMO csv.DictWriter and csv.DictReader provides a nicer interface for complex CSV file. I see some people reinventing the DictReader and DictWriter pretty frequently, because when they rapidly scan the documentation all examples are about csv.reader and csv.writer.

This patch adds examples.
msg211386 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-02-17 02:20
Updated patch following review.
msg212757 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-03-05 03:07
Any update?
msg215911 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-04-10 22:35
Hey - is there anything else I need to do here?
msg216834 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-04-19 01:48
New version of the patch.
msg221672 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-06-27 02:23
Updated patch following review.
msg224166 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-07-28 13:50
Anything else I need to do?
msg224174 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-07-28 18:03
> Anything else I need to do?

Nothing else.  I've got it from here :-)
msg230526 - (view) Author: Charles-Axel Dein (charlax) * Date: 2014-11-02 23:29
Sounds good. Do you know when this will get merged?
msg231620 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-11-24 21:46
New changeset 268ceaa78cf9 by Berker Peksag in branch '3.4':
Issue #20351: Add examples for csv.DictReader and csv.DictWriter.
https://hg.python.org/cpython/rev/268ceaa78cf9

New changeset c2b36196b7f5 by Berker Peksag in branch 'default':
Issue #20351: Add examples for csv.DictReader and csv.DictWriter.
https://hg.python.org/cpython/rev/c2b36196b7f5
msg231621 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-11-24 21:50
New changeset e504c3bc6897 by Berker Peksag in branch '2.7':
Issue #20351: Add examples for csv.DictReader and csv.DictWriter.
https://hg.python.org/cpython/rev/e504c3bc6897
msg231622 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-11-24 21:51
Thanks for the patch, Charles-Axel.
History
Date User Action Args
2014-11-24 21:51:50berker.peksagsetstatus: open -> closed
messages: + msg231622

assignee: rhettinger -> berker.peksag
resolution: fixed
stage: patch review -> resolved
2014-11-24 21:50:35python-devsetmessages: + msg231621
2014-11-24 21:46:56python-devsetnosy: + python-dev
messages: + msg231620
2014-11-02 23:29:37charlaxsetmessages: + msg230526
2014-07-28 18:03:18rhettingersetmessages: + msg224174
2014-07-28 13:50:22charlaxsetmessages: + msg224166
2014-06-27 04:25:17rhettingersetassignee: docs@python -> rhettinger

nosy: + rhettinger
2014-06-27 02:23:36charlaxsetfiles: + add_csvdict_examples.patch

messages: + msg221672
2014-06-26 18:48:07berker.peksagsetnosy: + berker.peksag

versions: - Python 3.3
2014-04-19 01:48:03charlaxsetfiles: + add_csvdict_examples.patch

messages: + msg216834
2014-04-10 22:35:02charlaxsetmessages: + msg215911
2014-03-05 03:07:17charlaxsetmessages: + msg212757
2014-02-17 02:20:57charlaxsetfiles: + add_csvdict_examples.patch

messages: + msg211386
2014-02-15 15:41:36ezio.melottisetnosy: + ezio.melotti
stage: patch review
type: enhancement

versions: + Python 2.7, Python 3.3, Python 3.4, Python 3.5
2014-02-10 08:43:07martin.pantersetnosy: + martin.panter
2014-01-22 18:59:32zormitsetnosy: + zormit
2014-01-22 18:07:57charlaxcreate